"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103fc4fe0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5120>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5080>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103fc51c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5260>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5300>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103fc53a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5440>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103fc54e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5580>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5620>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103fc56c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5760>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5800>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103fc58a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103fc59e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5a80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5b20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5bc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5c60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5d00>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5da0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5e40>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5ee0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103fc5f80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6020>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103fc60c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6200>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103fc62a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6340>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc63e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6480>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6520>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103fc65c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6660>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6700>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103fc67a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6840>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103fc68e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6980>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6a20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6ac0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6b60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6c00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6ca0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6d40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6de0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6e80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6f20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103fc6fc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7060>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7100>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103fc71a0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7240>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103fc72e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7380>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7420>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc74c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7560>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7600>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103fc76a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7740>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103fc77e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7880>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7920>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103fc79c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7a60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7b00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7ba0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7c40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7ce0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7d80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7e20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7ec0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103fc7f60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103fd8040>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103fd80e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103fd8220>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103fd8180>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103fd82c0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103fd8360>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103fd8400>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103fd84a0>)]
name: str = 'fr_HOCCN'
